<?php require_once('../../Connections/cn.php'); ?>
<?php
session_start();
//Impide que la p�gina sea vista desde el navegador.
if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
	    
$cedula_docente=$_SESSION['CEDULA_USUARIO'];

$id_periodo=$_GET['id_periodo'];; 
$id_carrera=$_GET['id_carrera'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

$sql_docentes = "SELECT  id_docente,apellidos,nombres FROM docentes WHERE cedula='$cedula_docente'";
	$rst_docentes = mysql_query($sql_docentes, $cn) or die(mysql_error());
	$row_docentes = mysql_fetch_assoc($rst_docentes);
	$total_rows_docentes = mysql_num_rows($rst_docentes);
	$id_docente=$row_docentes['id_docente'];
	$nombre_docente=$row_docentes['apellidos'].', '.$row_docentes['nombres'];


$query_rstPeriodos = "SELECT periodos.codigo, periodos.mes_inicio,periodos.mes_fin FROM periodos where id_periodo='$id_periodo'";
$rstPeriodos = mysql_query($query_rstPeriodos, $cn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);
$periodo=$row_rstPeriodos['codigo'].' ('.$row_rstPeriodos['mes_inicio'].'-'.$row_rstPeriodos['mes_fin'].')';

//Datos de la Carga Acad�mica del Docente

$query_rstCarga = "Select
sedes.nombre_sede,
materias.nombre_materia,
turnos.turno,
oferta_academica.id_seccion,
oferta_academica.semestre
From
oferta_academica,sedes,materias,turnos
WHERE
oferta_academica.sede=sedes.codigo and oferta_academica.id_materia=materias.id_materia and oferta_academica.turno=turnos.codigo and
oferta_academica.id_periodo='$id_periodo' and oferta_academica.id_profesor='$id_docente'
ORDER BY
sedes.nombre_sede,oferta_academica.turno,oferta_academica.semestre,oferta_academica.id_seccion";

// echo $query_rstCarga;
$rstCarga = mysql_query($query_rstCarga, $cn) or die(mysql_error());
//$row_rstCarga = mysql_fetch_assoc($rstCarga);
$totalRows_rstCarga = mysql_num_rows($rstCarga);


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1);

// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
//$pdf->ezText("                                   Control de Estudios",10,array('justification'=>'left'));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode('<b>'."CARGA ACADÉMICA DEL DOCENTE".'</b>'),14,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText('<b>'."            PROGRAMA: ".'</b>'."LICENCIATURA EN CIENCIAS FISCALES",10,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode('<b>'."            LAPSO ACADÉMICO: ".'</b>').$periodo.'<b>'."                                                                 FECHA: ".'</b>'.date("d/m/Y"));
$pdf->ezsetdy(-2);
$pdf->ezText(utf8_decode('<b>'."            DOCENTE: ".'</b>').utf8_decode($nombre_docente).'<b>'.utf8_decode("     CÉDULA: ").'</b>'.$cedula_docente);

$pdf->ezsetdy(-10);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.5,4,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.'.'</b>', 
              'sede'=>'<b>'.'Sede'.'</b>', 
              'materia'=>utf8_decode('<b>'.'                 Unidad Curricular'.'</b>'),
			  'semestre'=>'<b>'.'Sem.'.'</b>',
			  'seccion'=>'<b>'.utf8_decode('Sección').'</b>',
			  'turno'=>'<b>'.'Turno'.'</b>');
$smc = 0; 
// Convierte la Nota a Letras.
// $nota = new numerosALetras;
while ($row = mysql_fetch_row($rstCarga)) { 
    $sede     = $row[0];    // Sede 
	$materia  = $row[1];    // Nombre de la Materia.
	$turno  = $row[2]; 
	$seccion  = $row[3];    // Código de la Sección.
	$semestre  = $row[4];    // Código de la Materia
	   // Código de la Materia
	//*****
	// Se obtienen las materias que el alumno ha cursado.
  
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'sede'=>$sede,
                    'materia'=>utf8_decode($materia), 
					'semestre'=>$semestre,
					'seccion'=>$seccion,
					'turno'=>ucwords(strtolower($turno))); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>9, 
'cols'=>array('nro'=>array('justification'=>'right')
             ,'sede'=>array('justification'=>'center')  
             ,'carrera'=>array('justification'=>'left') 
             ,'materia'=>array('justification'=>'left')
			 ,'seccion'=>array('justification'=>'center')
			 ,'semestre'=>array('justification'=>'center')
			 ,'turno'=>array('justification'=>'center')) 
));// salida 

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    /*// Facilitador(a).
    $pdf->Rectangle(58,25,500,185);
    $pdf->addText(280,201,8,'Cr�ditos Cursados)');
	$pdf->line(58,197,558,197); 
	$pdf->addText(65,190,7,'Nombres y Apellidos');
	$pdf->addText(400,190,7,'Fecha');
	$pdf->addText(65,180,8,$nom_docente);
	$pdf->addText(430,180,7,'____/____/______ ');
	$pdf->addText(65,170,7,'C�dula o Pasaporte');
	$pdf->addText(400,170,7,'Firma');
	$pdf->addText(65,160,9,$id_docente);
	$pdf->line(58,158,558,158); 
	// Coordinador General del Programa.
	$pdf->addText(245,149,8,'Coordinaci�n General del Programa');
	$pdf->line(58,145,558,145); 
	$pdf->addText(65,138,7,'Nombres y Apellidos');
	$pdf->addText(400,138,7,'Fecha');
	$pdf->addText(430,128,7,'____/____/______ ');
	$pdf->addText(65,118,7,'C�dula o Pasaporte');
	$pdf->addText(400,118,7,'Firma');
	$pdf->line(58,105,558,105); 
	// Direcci�n de Postgrado
    $pdf->addText(260,96,8,'Direcci�n de Post-Grado');
	$pdf->line(58,92,558,92); 
	$pdf->addText(65,82,7,'Nombres y Apellidos');
	$pdf->addText(400,82,7,'Fecha');
	$pdf->addText(65,72,9,'');
	$pdf->addText(430,72,7,'____/____/______ ');
	$pdf->addText(65,62,7,'C�dula o Pasaporte');
	$pdf->addText(400,62,7,'Firma');
	$pdf->line(58,49,558,49); 
	$pdf->line(375,25,375,49); 
	// Leyenda al pie de p�gina.
	$pdf->addText(65,42,5,'Escala de Evaluaci�n: Del Uno (1) al Cinco (5)');
	$pdf->addText(380,42,5,'V�B� REGISTRO ACAD�MICO');
	$pdf->addText(65,35,5,'Calificaci�n M�nima Aprobatoria: Tres (3) puntos');
	$pdf->addText(65,28,5,'Leyenda: I=Inasistente');
	$pdf->addText(270,17,7,'VA SIN ENMIENDA');*/
}
?> 